# chuniio-brokenithm

ChuniIO driver for [Brokenithm-Android](https://github.com/tindy2013/Brokenithm-Android)
without needing an external server.

It is recommended to use this with [Dniel97's segatools](https://gitea.tendokyu.moe/Dniel97/segatools/releases),
since it allows loading 32-bit chuniio DLLs without any messy hacks.

## Configuration
segatools.ini

```ini
[chuniio]
path=chuniio_brokenithm.dll

[io3]
; Test button virtual-key code. Default is the 1 key.
test=0x31
; Service button virtual-key code. Default is the 2 key.
service=0x32
; Keyboard button to increment coin counter. Default is the 3 key.
coin=0x33
; AIR sensor emulator. Default is the space key.
; If using individual-ray IR (see below), set this value to 0.
ir=0x20

[brokenithm]
; Use TCP instead of UDP for connections (default UDP)
tcp=1

; Port to accept connections on (default 52468)
port=52468
```

## Build instructions
```shell
mkdir cmake-build
cd cmake-build

cmake ..
ninja

ls chuniio_brokenithm.dll
```